Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/String_Base.i File Reference

`#include "ace/Malloc_Base.h"`
`#include "ace/Min_Max.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_Memory.h"`

Include dependency graph for String_Base.i:

This graph shows which files directly or indirectly include this file:

## Functions
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &s, const ACE_String_Base< CHAR > &t)
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const CHAR *s, const ACE_String_Base< CHAR > &t)
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &s, const CHAR *t)
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &t, const CHAR c)
template<class CHAR> ACE_INLINE ACE_String_Base< CHAR > | operator+ (const CHAR c, const ACE_String_Base< CHAR > &t)

## Function Documentation

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const CHAR | c,
|  | const ACE_String_Base< CHAR > & | t
| ) |

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | t,
|  | const CHAR | c
| ) |

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | s,
|  | const CHAR * | t
| ) |

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const CHAR * | s,
|  | const ACE_String_Base< CHAR > & | t
| ) |

template<class CHAR>
ACE_INLINE ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | s,
|  | const ACE_String_Base< CHAR > & | t
| ) |